'''
Created on 09-Jan-2024

@author: bthakur
'''

import os
import sys
import re

import codecs
import inspect
import traceback

from xv.util import convertToUtf8, locatePath, Repository
from xv.util.data import NamedProcessor

from xv.util import is_list_tuple_set
from xv.util import UtilClass

from sympy import (Symbol, sin, cos, tan, log,
               Derivative, 
               Eq, 
               simplify, )

from xv.km.entities import NamedEntity, NamedEntities

# _diffrentiation_repo
# DiffrentiationRepo

class DiffrentiationRepo(NamedEntities):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
        
        self.x = Symbol('x')
        self.repo = {}
        pass
    
    def _repo_sin_x(self, x = None):
        if x is None:
            x = self.x
        
        y = sin(x)
        dydx = Derivative(y, x)
        y_prime = dydx.doit()
        
        pass
            
    pass
#class DiffrentiationRepo:
